API
Substack API
The AI-powered Substack provides 360° Global Media Data & Intelligence on Substack writers, newsletter operators, paid subscription publishers, and independent media creators.
API-Referenz Version: 1.0.0 2 Endpunkte Authentifizierung
Basis-URL
https://pressmonitor.com/api Authentifizierung
Alle Anfragen erfordern die Header x-api-key und x-subscription-id. x-api-key authentifiziert Ihr Konto; x-subscription-id waehlt den abonnierten Dienst aus.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/substack_publication Substack Publication
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| publication | string | query | Ja | Publication name |
Code-Beispiele
curl -X GET \
"https://pressmonitor.com/api/substack_publication?publication=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Success
GET
/substack_posts Substack Publications
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| publication | string | query | Ja | Publication name |
| limit | integer | query | Nein | Number of results |
Code-Beispiele
curl -X GET \
"https://pressmonitor.com/api/substack_posts?publication=VALUE&limit=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Success
